Bug 38276 - Make the toolbar menu easier
Summary: Make the toolbar menu easier
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:3.6.0
Keywords: difficultyInteresting, easyHack, skillCpp, topicUI
Depends on:
Blocks:
 
Reported: 2011-06-13 23:57 UTC by Jan Holesovsky
Modified: 2015-12-16 00:38 UTC (History)
6 users (show)

See Also:


Attachments
Right and left clicking (59.46 KB, image/png)
2012-05-20 11:24 UTC, Florian Reisinger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Holesovsky 2011-06-13 23:57:23 UTC
When there is not enough space in the toolbars, there appears a double-arrow (>>) mark that leads to a toolbar menu on the right hand side.  This menu shows both the items that did not fit the toolbar, as well as some more "what to do with a toolbar" commands.

According to what has been agreed with our UX guys, the "what to do with a toolbar" commands should be removed from this toolbar menu, and it should target only the single purpose - show the hidden toolbar items.  These commands should still stay in the context menu that you get when you right-click the toolbar.

Code pointers: vcl/source/window/toolbox.cxx, vcl/source/window/toolbox2.cxx, framework/source/uielement/toolbarmanager.cxx - look for the 'GetMenu()' uses.

The 'GetMenu()' menu is used both for the 'more items' toolbar menu, as well as for the right-click context menu.  Extra care is needed to double-check that this menu is populated the right way in these 2 contexts.

This builds on work that is available in the towards-3.5 branch (master) only.
Comment 1 Christoph 2011-06-14 11:18:04 UTC
Link to original discussion "Toolbar look improvement (toolbar option button removal)" on libreoffice-ux-advice:
http://lists.freedesktop.org/archives/libreoffice-ux-advise/2011-June/000030.html
Comment 2 Stefan Knorr (astron) 2012-02-06 03:24:41 UTC
Here's a link to a (still WIP) spec by Mirek Mazel:

http://wiki.documentfoundation.org/Design/Whiteboards/Overflow_menu

It would be good if the implementation could follow this, I believe.
Comment 3 Not Assigned 2012-04-11 10:29:26 UTC
Iain Billett committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=63c95085db6ecf6254e3f73d8483006ad3e52222

fdo#38276: Improve the ">>" toolbar overflow menu
Comment 4 Korrawit Pruegsanusak 2012-05-08 22:24:02 UTC
Mark as fixed per comment 3.
Comment 5 Florian Reisinger 2012-05-20 11:24:26 UTC
Created attachment 61884 [details]
Right and left clicking

Can someone explain me please why this has been done...
Comment 6 Korrawit Pruegsanusak 2012-06-02 09:29:09 UTC
(In reply to comment #5)
> Can someone explain me please why this has been done...

Do comment 0, comment 1, and comment 2 help? :-)
Comment 7 manj_k 2012-06-16 08:42:56 UTC
Removed 'EasyHack' from Summary
Comment 8 Robinson Tryon (qubit) 2015-12-16 00:38:10 UTC
Migrating Whiteboard tags to Keywords: (EasyHack,DifficultyInteresting,SkillCpp,TopicUI )
[NinjaEdit]